// VixsTestDlg.h : header file
//

#if !defined(AFX_VIXSTESTDLG_H__A5E58ECE_9A20_4120_B2AA_F5A76FC0DAA6__INCLUDED_)
#define AFX_VIXSTESTDLG_H__A5E58ECE_9A20_4120_B2AA_F5A76FC0DAA6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CVixsTestDlg dialog

class CVixsTestDlg : public CDialog
{
// Construction
public:
	CVixsTestDlg(CWnd* pParent = NULL);	// standard constructor
	DWORD nBdNum;
    HANDLE CurDevice[2];
    DWORD Val;
	HWND hwnd[2];
// Dialog Data
	//{{AFX_DATA(CVixsTestDlg)
	enum { IDD = IDD_VIXSTEST_DIALOG };
	CComboBox	m_cBVideoFmt1;
	CComboBox	m_cBVideoFmt;
	CComboBox	m_iEncMode1;
	CComboBox	m_iEncMode;
	DWORD	m_iWidth;
	DWORD	m_iHeight;
	DWORD	m_iVBitRate;
	DWORD	m_iFrate;
	DWORD	m_iVBitRate1;
	DWORD	m_iHeight1;
	DWORD	m_iWidth1;
	DWORD	m_iFrate1;
	CString	m_TEXT1;
	CString	m_XPos1;
	CString	m_YPos1;
	CString	m_SpaceNum1;
	BOOL	m_bOSDText1;
	BOOL	m_bOSDTime1;
	BOOL	m_bOSDText2;
	BOOL	m_bOSDTime2;
	CString	m_TEXT2;
	CString	m_XPos2;
	CString	m_YPos2;
	CString	m_SpaceNum2;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVixsTestDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CVixsTestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnButton3();
	afx_msg void OnButton4();
	afx_msg void OnButton5();
	afx_msg void OnButton6();
	afx_msg void OnButton7();
	afx_msg void OnButton8();
	afx_msg void OnButton9();
	afx_msg void OnButton10();
	afx_msg void OnButton12();
	virtual void OnOK();
	afx_msg void OnButton14();
	afx_msg void OnButton15();
	afx_msg void OnChkText1();
	afx_msg void OnInitdevice();
	afx_msg void OnStartcap();
	afx_msg void OnStopcap();
	afx_msg void OnClosedevice();
	afx_msg void OnChkTime1();
	afx_msg void OnChkText2();
	afx_msg void OnChkTime2();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VIXSTESTDLG_H__A5E58ECE_9A20_4120_B2AA_F5A76FC0DAA6__INCLUDED_)
